Skip to main content
`Ctrl`+`K`

# PetscDrawSetTitle

Sets the title of a `PetscDraw` context.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawSetTitle(PetscDraw draw, const char title[])

Collective

## Input Parameters

- draw - the graphics context

- title - the title

## Notes

The title is positioned in the windowing system title bar for the window. Hence it will not be saved with -draw_save in the image.

A copy of the string is made, so you may destroy the title string after calling this routine.

You can use `PetscDrawAxisSetLabels()` to indicate a title within the window

## See Also

`PetscDraw`, `PetscDrawGetTitle()`, `PetscDrawAppendTitle()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/draw.c

## Implementations

PetscDrawSetTitle_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawSetTitle_Win32() in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawSetTitle_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages